Bug 100 - When reading a directory, KFM hangs if
Summary: When reading a directory, KFM hangs if
Status: RESOLVED FIXED
Alias: None
Product: unknown
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Other
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords: Tracking
Depends on:
Blocks:
 
Reported: 1999-01-21 14:31 UTC by Unknown
Modified: 2021-05-24 16:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Morrison 1970-01-01 00:00:00 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: kfm
Version: Beta 4

Old Bugnum  = 929
Fixed   = No
System  = Linux/x86
Distrib = Binaries in RPM format

========================

When reading a directory KFM hangs if it encounters
an NFS mounted directory and the server refered to by
the directory is not responding.  The only way to get it
back is to Kill/restart KDE or go make the NFS server
respond.   KFM needs some sort of timeout for this
condition.
Comment 1 Halla Rempt 2013-12-15 14:52:03 UTC
Git commit 981c0f53d24d0c004c9542ab9c59a7431e2b8d19 by Boudewijn Rempt.
Committed on 15/12/2013 at 14:50.
Pushed by rempt into branch 'master'.
Related: bug 328789

That should move it out of the way of most desktop panels.

M  +1    -1    krita/ui/widgets/kis_paintop_presets_popup.cpp

http://commits.kde.org/calligra/981c0f53d24d0c004c9542ab9c59a7431e2b8d19
Comment 2 Halla Rempt 2013-12-15 14:52:03 UTC
Git commit 981c0f53d24d0c004c9542ab9c59a7431e2b8d19 by Boudewijn Rempt.
Committed on 15/12/2013 at 14:50.
Pushed by rempt into branch 'master'.
Related: bug 328789

That should move it out of the way of most desktop panels.

M  +1    -1    krita/ui/widgets/kis_paintop_presets_popup.cpp

http://commits.kde.org/calligra/981c0f53d24d0c004c9542ab9c59a7431e2b8d19
Comment 3 Halla Rempt 2013-12-15 14:52:06 UTC
Git commit 9bb3f5173e8ed00184d6b952c90095381e18de01 by Boudewijn Rempt.
Committed on 15/12/2013 at 14:50.
Pushed by rempt into branch 'calligra/2.8'.
Related: bug 328789

That should move it out of the way of most desktop panels.

M  +1    -1    krita/ui/widgets/kis_paintop_presets_popup.cpp

http://commits.kde.org/calligra/9bb3f5173e8ed00184d6b952c90095381e18de01
Comment 4 Halla Rempt 2013-12-15 14:52:06 UTC
Git commit 9bb3f5173e8ed00184d6b952c90095381e18de01 by Boudewijn Rempt.
Committed on 15/12/2013 at 14:50.
Pushed by rempt into branch 'calligra/2.8'.
Related: bug 328789

That should move it out of the way of most desktop panels.

M  +1    -1    krita/ui/widgets/kis_paintop_presets_popup.cpp

http://commits.kde.org/calligra/9bb3f5173e8ed00184d6b952c90095381e18de01
Comment 5 Mehrdad Momeny 2014-09-09 14:54:11 UTC
Git commit e45a7e7e872c8f808947c334b629e0d2ce1fd938 by Mehrdad Momeny.
Committed on 09/09/2014 at 14:52.
Pushed by momeny into branch 'master'.
Related: bug 325071
And so following/unfollowing and blocking users

Thanks to twitter user: @_tnbp for the patch.

M  +28   -19   helperlibs/twitterapihelper/twitterapimicroblog.cpp

http://commits.kde.org/choqok/e45a7e7e872c8f808947c334b629e0d2ce1fd938
Comment 6 Halla Rempt 2016-07-06 08:39:01 UTC
Git commit 31746ee12ae60a2a8b248ca93b789799beb2bff2 by Boudewijn Rempt.
Committed on 06/07/2016 at 08:38.
Pushed by rempt into branch 'krita/3.0'.
Related: bug 365120, bug 1

M  +1    -1    libs/ui/dialogs/kis_dlg_layer_style.cpp

http://commits.kde.org/krita/31746ee12ae60a2a8b248ca93b789799beb2bff2
Comment 7 Dmitry Kazakov 2018-06-05 14:42:52 UTC
Git commit eacd03c033704e84ec04b60dca61e394568ad70a by Dmitry Kazakov.
Committed on 05/06/2018 at 14:42.
Pushed by dkazakov into branch 'master'.

Use special checkbox in General tab to configure that

M  +3    -3    libs/image/brushengine/kis_paintop_settings.cpp
M  +7    -7    libs/image/brushengine/kis_paintop_settings.h
M  +3    -0    libs/ui/dialogs/kis_dlg_preferences.cc
M  +9    -2    libs/ui/forms/wdggeneralsettings.ui
M  +10   -0    libs/ui/kis_config.cc
M  +3    -0    libs/ui/kis_config.h
M  +9    -5    libs/ui/tool/kis_tool_paint.cc
M  +9    -2    plugins/paintops/defaultpaintops/duplicate/kis_duplicateop_settings.cpp
M  +1    -1    plugins/paintops/defaultpaintops/duplicate/kis_duplicateop_settings.h
M  +5    -5    plugins/paintops/deform/kis_deform_paintop_settings.cpp
M  +1    -1    plugins/paintops/deform/kis_deform_paintop_settings.h
M  +3    -3    plugins/paintops/experiment/kis_experiment_paintop_settings.cpp
M  +1    -1    plugins/paintops/experiment/kis_experiment_paintop_settings.h
M  +5    -5    plugins/paintops/gridbrush/kis_grid_paintop_settings.cpp
M  +1    -1    plugins/paintops/gridbrush/kis_grid_paintop_settings.h
M  +1    -1    plugins/paintops/hairy/kis_hairy_paintop_settings.cpp
M  +1    -1    plugins/paintops/hairy/kis_hairy_paintop_settings.h
M  +8    -10   plugins/paintops/libpaintop/kis_brush_based_paintop_settings.cpp
M  +2    -2    plugins/paintops/libpaintop/kis_brush_based_paintop_settings.h
M  +7    -6    plugins/paintops/libpaintop/kis_current_outline_fetcher.cpp
M  +1    -0    plugins/paintops/libpaintop/kis_current_outline_fetcher.h
M  +5    -5    plugins/paintops/roundmarker/kis_roundmarkerop_settings.cpp
M  +1    -1    plugins/paintops/roundmarker/kis_roundmarkerop_settings.h
M  +8    -10   plugins/paintops/sketch/kis_sketch_paintop_settings.cpp
M  +1    -1    plugins/paintops/sketch/kis_sketch_paintop_settings.h
M  +5    -5    plugins/paintops/spray/kis_spray_paintop_settings.cpp
M  +1    -1    plugins/paintops/spray/kis_spray_paintop_settings.h

https://commits.kde.org/krita/eacd03c033704e84ec04b60dca61e394568ad70a
Comment 8 Christoph Feck 2018-06-05 17:48:35 UTC
The bug that never rests...
Comment 9 Stephan Kulow 2018-06-05 17:53:11 UTC
but why me?
Comment 10 Christoph Feck 2018-06-05 17:54:31 UTC
You were still the default assignee (probably from old kfm days). Removed you.
Comment 11 gap.myoffice 2021-05-24 15:59:12 UTC
Unknown error code 100
Could not find the program '/var/tmp/pamac-build-gap/davinci-resolve/pkg/davinci-resolve/opt/resolve/bin/resolve'
Please send a full bug report at https://bugs.kde.org.